# XXX epoch is necessary to obsolete tcpdump-3.4a5 (per RedHat SPEC)
Epoch: 6
Summary: A network traffic monitoring tool.
Name: tcpdump
Version: 3.6.2
Release: 3
Copyright: BSD
Group: Applications/Internet
Source: http://www.tcpdump.org/release/tcpdump-3.6.2.tar.gz
Patch: tcpdump-include-path.patch
URL: http://www.tcpdump.org/
Vendor: For this RPM, see http://www.jpsdomain.org/
Packager: JP Vossen <jp@jpsdomain.org>
BuildRequires: kernel-headers >= 2.2.0
Requires: kernel >= 2.2.0
Requires: libpcap >= 0.6.2

%description 
Tcpdump is a command-line tool for monitoring network traffic.
Tcpdump can capture and display the packet headers on a particular
network interface or on all interfaces.  Tcpdump can display all of
the packet headers, or just the ones that match particular criteria.

Install tcpdump if you need a program to monitor network traffic.

%prep
%setup

# Patch the Makefile.in to add an include path for the moved libpcap files
# running make -I/usr/include/pcap does not work.
%patch -p 1

%build
# Change paths for compatability with old RPMs
./configure --prefix=/usr --includedir=/usr/include/pcap
make

%install
make install
# Well, the old RPM had it gzipped, and in man section 8 so...
mv /usr/man/man1/tcpdump.1 /usr/man/man8/tcpdump.8
gzip -f /usr/man/man8/tcpdump.8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc CHANGES
%doc README
/usr/man/man8/tcpdump.8.gz
/usr/sbin/tcpdump

%changelog
* Sun Apr 01 2001 JP Vossen <jp@jpsdomain.org>
- Added patch for Makefile.in include dir. for libpcap
- Build on new buildhost using rpm v3

* Sun Mar 25 2001 JP Vossen <jp@jpsdomain.org>
- 2 Added Epoc and various requires from RedHat .spec file
- 2 Added -I to make
- 1 Replaced patch with correct configure options
- 0 Second attempt at building an RPM (libpcap-0.6.2 was first)

# NOTE: Locations moved for compatability with older RPMs (i.e. RedHat)
# RPM Location                      Source make install location 
# /usr/include/pcap/net/bpf.h       /usr/local/include/net/bpf.h
# /usr/include/pcap/pcap-namedb.h   /usr/local/include/pcap-namedb.h
# /usr/include/pcap/pcap.h          /usr/local/include/pcap.h
# /usr/lib/libpcap.a                /usr/local/lib/libpcap.a
# /usr/man/man3/pcap.3.gz           /usr/local/man/man3/pcap.3
